/***************************************************************************
 *   Copyright (C) 2004 by Hans Oischinger                                 *
 *   hans.oischinger@kdemail.net                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Steet, Fifth Floor, Boston, MA 02110-1301, USA.             *
 ***************************************************************************/
#include "visitor.h"

#include <kdebug.h>

Visitor::Visitor() :
    m_success(0)
{}


Visitor::~Visitor()
{}

bool Visitor::visit( ElementNode& element )
{
  //   kdDebug() << k_funcinfo << endl;
}

bool Visitor::visit( DocumentElement& element )
{
  //   kdDebug() << k_funcinfo << endl;
}

bool Visitor::visit( VectorElement& element )
{
  //   kdDebug() << k_funcinfo << endl;
}

// bool Visitor::visit( AnimateElement& element )
// {
//   //   kdDebug() << k_funcinfo << endl;
// }

bool Visitor::visit( GroupElement& element )
{
  //   kdDebug() << k_funcinfo << endl;
}

bool Visitor::visit( ElementSelection& element )
{
  //   kdDebug() << k_funcinfo << endl;
}

bool Visitor::visit( UseElement& element )
{
  //   kdDebug() << k_funcinfo << endl;
}

bool Visitor::visit( DefsElement& element )
{
  //   kdDebug() << k_funcinfo << endl;
}

bool Visitor::visit( AnimateTransformElement & element )
{
  //   kdDebug() << k_funcinfo << endl;
}

bool Visitor::visit( AnimateLengthElement& element )
{
  //   kdDebug() << k_funcinfo << endl;
}

bool Visitor::visit( AnimateNumberElement& element )
{
  //   kdDebug() << k_funcinfo << endl;
}

bool Visitor::visit( StopElement & element )
{
  //   kdDebug() << k_funcinfo << endl;
}

bool Visitor::visit( LinearGradient & element )
{
  //   kdDebug() << k_funcinfo << endl;
}

bool Visitor::visit( RadialGradient & element )
{
  //   kdDebug() << k_funcinfo << endl;
}
